FileReaderSource (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.control.io, class: FileReaderSource

Package org.codehaus.groovy.control.io

# Class FileReaderSource

java.lang.Object
org.codehaus.groovy.control.io.AbstractReaderSource
org.codehaus.groovy.control.io.FileReaderSource

All Implemented Interfaces:
  `HasCleanup`, `ReaderSource`

public class FileReaderSource extends AbstractReaderSource
A ReaderSource for source files.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

  `configuration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileReaderSource(File file, CompilerConfiguration configuration)`
  Creates the ReaderSource from a File descriptor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`
  `Reader`
  `getReader()`
  Returns a new Reader on the underlying source object.
  `URI`
  `getURI()`
  Returns a URI for the file of this source.

  ### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

  `canReopenSource, cleanup, getLine`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileReaderSource

    public FileReaderSource(File file, CompilerConfiguration configuration)
    Creates the ReaderSource from a File descriptor.
    Parameters:
      `file` - script source file
      `configuration` - configuration for compiling source

- ## Method Details

  - ### getFile

    public File getFile()

  - ### getReader

    public Reader getReader() throws IOException
    Returns a new Reader on the underlying source object.
    Returns:
      the reader to the resource
    Throws:
      `IOException` - if there was an error opening for stream

  - ### getURI

    public URI getURI()
    Returns a URI for the file of this source.
    Returns:
      URI for the file of this source.